Productsup
API referenceV1Export field

Delete an export field

Delete an export field. Only if a field is non mandatory. Only internal users and admins can remove fields from global channels

DELETE
/V1/export-templates/{id}/attributes

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

id*string

Export Field id.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://export-template-api.productsup.com/V1/export-templates/string/attributes"
Empty
{
  "errors": {
    "message": "Unable to remove mandatory field."
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export with id 456 not found."
  }
}

How is this guide?